### Property

# Ide TreeModel:root

#### Declaration

    property root: Ide.TreeNode [ read, write ]

#### Description

The “root” property contains the root `IdeTreeNode` that is used to build the tree. It should contain an object for the `IdeTreeNode:item` property so that `IdeTreeAddin`‘s may use it to build the node and any children.

Type: | `IdeTreeNode`
Available since: | 3.32

Setter method | `ide_tree_model_set_root()`
Getter method | `ide_tree_model_get_root()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no